// Copyright (C) 2012 - Michael Baudin
// This file is released into the public domain

function distfun_builderGatewayC()
    gateway_path = get_absolute_file_path("builder_gateway_rnd.sce");

    libname = "distfungrandgateway";
    namelist = [
    "distfun_rndbeta" "sci_distfun_rndbeta"
    "distfun_rndf" "sci_distfun_rndf"
    "distfun_rndmul" "sci_distfun_rndmul"
    "distfun_rndgam" "sci_distfun_rndgam"
    "distfun_rndnorm" "sci_distfun_rndnorm"
    "distfun_rndunf" "sci_distfun_rndunf"
    "distfun_rnduin" "sci_distfun_rnduin"
    "distfun_rndnbn" "sci_distfun_rndnbn"
    "distfun_rndbino" "sci_distfun_rndbino"
    "distfun_rndmn" "sci_distfun_rndmn"
    "distfun_rndmarkov" "sci_distfun_rndmarkov"
    "distfun_rndnch" "sci_distfun_rndnch"
    "distfun_rndnf" "sci_distfun_rndnf"
    "distfun_rndchi2" "sci_distfun_rndchi2"
    "distfun_rndexp" "sci_distfun_rndexp"
    "distfun_rndpoiss" "sci_distfun_rndpoiss"
    "distfun_rndprm" "sci_distfun_rndprm"
    "distfun_rndgeom" "sci_distfun_rndgeom"
    "distfun_rndlogn" "sci_distfun_rndlogn"
    "distfun_rndt" "sci_distfun_rndt"
    "distfun_rndhyge" "sci_distfun_rndhyge"
    ];
    files = [
    "sci_distfun_rndbeta.c"
    "sci_distfun_rndf.c"
    "sci_distfun_rndmul.c"
    "sci_distfun_rndgam.c"
    "sci_distfun_rndnorm.c"
    "sci_distfun_rndunf.c"
    "sci_distfun_rnduin.c"
    "sci_distfun_rndnbn.c"
    "sci_distfun_rndbino.c"
    "sci_distfun_rndmn.c"
    "sci_distfun_rndmarkov.c"
    "sci_distfun_rndnch.c"
    "sci_distfun_rndnf.c"
    "sci_distfun_rndchi2.c"
    "sci_distfun_rndexp.c"
    "sci_distfun_rndpoiss.c"
    "sci_distfun_rndprm.c"
    "sci_distfun_rndgeom.c"
    "sci_distfun_rndlogn.c"
    "sci_distfun_rndt.c"
    "sci_distfun_rndhyge.c"
    "gw_distfunrnd_support.c"
    ];

    ldflags = ""

    if ( getos() == "Windows" ) then
        include1 = "..\..\src\unifrng";
        include2 = "..\..\src\gwsupport";
        include3 = "..\..\src\cdflib";
        include4 = SCI+"/modules/output_stream/includes";
        cflags = "-DWIN32"+..
		" -I"""+include1+""""+..
		" -I"""+include2+""""+..
		" -I"""+include3+""""+..
		" -I"""+include4+"""";
    else
        include1 = gateway_path;
        include2 = gateway_path+"../../src/unifrng";
        include3 = gateway_path+"../../src/gwsupport";
        include4 = gateway_path+"../../src/cdflib";
        include5 = SCI+"/../../include/scilab/localization";
        cflags = "-I"""+include1+""""+..
		" -I"""+include2+""""+..
		" -I"""+include3+""""+..
		" -I"""+include4+""""+..
		" -I"""+include5+"""";
    end
    // Caution : the order matters !
    libs = [
    "../../src/cdflib/libcdflib"
    "../../src/unifrng/libunifrng"
    "../../src/gwsupport/libgwsupport"
    ];

    tbx_build_gateway(libname, namelist, files, gateway_path, libs, ldflags, cflags);

endfunction
distfun_builderGatewayC();
clear distfun_builderGatewayC;
