/*
 * Copyright (C) 2012 - Michael Baudin
 *
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 */

#include "cdflib.h"
#include "cdflib_private.h"
#include <math.h>

int cdflib_lognrnd(double mu, double sigma, double *x)
{
	int status;
	status=cdflib_lognCheckParams("cdflib_lognrnd",mu, sigma);
	if (status!=CDFLIB_OK)
	{
		return status;
	}
	status=cdflib_normrnd(mu, sigma, x);
	if (status!=CDFLIB_OK)
	{
		return status;
	}
	*x=exp(*x);
	return CDFLIB_OK;
}

