/*
 * Copyright (C) 2012 - Michael Baudin
 *
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 */

#include "cdflib.h"
#include "cdflib_private.h"

int cdflib_normrnd(double mu, double sigma, double *x)
{
	double Z;
	int status;
	status=cdflib_norCheckParams("cdflib_normrnd",mu, sigma);
	if (status!=CDFLIB_OK)
	{
		return status;
	}
	Z=cdflib_snorm();
	*x=sigma*Z + mu;
	return CDFLIB_OK;
}

