/*
 * Copyright (C) 2012 - Michael Baudin
 *
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 */

#include "cdflib.h"
#include "cdflib_private.h"

int cdflib_unifrnd(double a, double b, double *x)
{
	int status;
	double u;
	status=cdflib_unifCheckParams("cdflib_unifrnd",a, b);
	if (status!=CDFLIB_OK)
	{
		return status;
	}
	u=cdflib_randgenerate();
	*x = a + (b - a) * u;
	return CDFLIB_OK;
}

